Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
pathway
取得 Pathway
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/pathway \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.pathors.com/v1/projects/{projectId}/pathway"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.pathors.com/v1/projects/{projectId}/pathway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



請求

GET https://api.pathors.com/v1/projects/{projectId}/pathway

路徑參數

projectId
string
required
專案 ID

標頭

Authorization
string
required
使用您的 Developer Key 進行 Bearer 令牌認證

回應

回傳完整的 Pathway 資料,包含所有節點、邊與中繼資料。

範例

curl https://api.pathors.com/v1/projects/{projectId}/pathway \
  -H "Authorization: Bearer dk_your_key"
{
  "data": {
    "nodes": [
      {
        "id": "node-1",
        "type": "prompt",
        "position": { "x": 0, "y": 0 },
        "data": {
          "type": "start",
          "title": "Welcome",
          "prompt": "Greet the user and ask how you can help.",
          "tools": ["tool-uuid-1"]
        }
      }
    ],
    "edges": [
      {
        "id": "edge-1",
        "source": "node-1",
        "target": "node-2",
        "data": { "condition": "User wants to book" }
      }
    ],
    "version": "1.0",
    "updatedAt": "2026-03-07T00:00:00.000Z"
  }
}